Get SpatialOS

Sites

Menu
These are the docs for 13.1, an old version of SpatialOS. 13.3 is the newest →

Requirements

Supported compilers and runtimes

The C++ worker SDK requires a C++11-compliant compiler:

  • Windows: Visual Studio 2015 or later.
  • macOS and Linux: Tested with Xcode 8 on macOS, and GCC 5.4.0 on Linux. Make sure to use the -std=c++11 flag.

The C++ worker SDK dynamically links to the C and C++ runtimes:

  • For Visual Studio, the SDK is configured to link against all the multi-threaded runtimes (dynamic, dynamic-debug, static and static-debug). Please make sure to select the correct package for your project when obtaining the SDK.

    Usually, MSVC projects will use the multi-threaded dynamic runtime (/MD) in the Release configuration, and the multi-threaded dynamic debug runtime (/MDd) in the Debug configuration.

    This means that Windows clients depend on Visual C++ Redistributable for Visual Studio 2015 being installed.

Search results

Was this page helpful?

Thanks for letting us know!

Thanks for your feedback

Need more help? Ask on the forums